Summary:        Python SPNEGO authentication library
Name:           python-spnego
Version:        0.9.2
Release:        2%{?dist}
License:        MIT
URL:            https://github.com/jborean93/pyspnego
Source:         %{pypi_source pyspnego}

BuildArch:      noarch

%description
Library to handle SPNEGO (Negotiate, NTLM, Kerberos) and CredSSP authentication.
Also includes a packet parser that can be used to decode raw NTLM/SPNEGO/Kerberos
tokens into a human readable format.


%package -n     python3-spnego
Summary:        Python SPNEGO authentication library
BuildRequires:  python3-devel python3dist(pytest) python3dist(pytest-mock)

%description -n python3-spnego
Library to handle SPNEGO (Negotiate, NTLM, Kerberos) and CredSSP authentication.
Also includes a packet parser that can be used to decode raw NTLM/SPNEGO/Kerberos
tokens into a human readable format.


%package -n     python3-spnego+kerberos
Summary:        Metapackage for python3-spnego: kerberos extras
Requires:       python3-spnego = %{version}-%{release}

%description -n python3-spnego+kerberos
This is a metapackage bringing in kerberos extras requires for python3-spnego.
It makes sure the dependencies are installed.


%prep
%autosetup -n pyspnego-%{version}

%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files spnego


%check
%pytest -v tests


%files -n python3-spnego -f %{pyproject_files}
%doc README.md
%{_bindir}/pyspnego-parse

%files -n python3-spnego+kerberos
%dir %{python3_sitelib}/pyspnego-%{version}.dist-info
%{python3_sitelib}/pyspnego-%{version}.dist-info/*


%changelog
* Tue Sep 26 2023 Miaojun Dong <zoedong@tencent.com> - 0.9.2-2
- Remove and expand pyproject_extras_subpkg macro

* Mon Sep 25 2023 Miaojun Dong <zoedong@tencent.com> - 0.9.2-1
- Initial Build
